Bug 1777656 - tuxcut cannot be installed: nothing provides PyQt4 needed by tuxcut, nothing provides arptables_jf needed by tuxcut [NEEDINFO]
Summary: tuxcut cannot be installed: nothing provides PyQt4 needed by tuxcut, nothing ...
Keywords:
Status: CLOSED DUPLICATE of bug 1871640
Alias: None
Product: Fedora
Classification: Fedora
Component: tuxcut
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall F32FailsToInstall F33FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-11-28 01:38 UTC by Miro Hrončok
Modified: 2020-11-05 17:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-05 17:10:06 UTC
Type: Bug
mhroncok: needinfo? (moceap)
mhroncok: needinfo? (moceap)
mhroncok: needinfo? (moceap)
mhroncok: needinfo? (moceap)
mhroncok: needinfo? (moceap)


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-28 01:38:36 UTC
On rawhide:

$ dnf install tuxcut
Error: 
 Problem: conflicting requests
  - nothing provides PyQt4 needed by tuxcut-5.1-11.fc31.noarch
  - nothing provides arptables_jf needed by tuxcut-5.1-11.fc31.noarch

On Fedora 31:

$ dnf install tuxcut
Error: 
 Problem: conflicting requests
  - nothing provides arptables_jf needed by tuxcut-5.1-11.fc31.noarch



PyQt4 is gone via https://fedoraproject.org/wiki/Changes/RetirePython2
arptables_jf was retired 6 years ago and is no longer provided by arptables since Fedora 31.

On Fedora 31: Please switch to arptables.

On Fedora 32+: Please switch to python3-PyQt4 and arptables or retire the package.

Thanks.

Comment 1 Miro Hrončok 2019-12-27 12:38:45 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2020-01-20 18:48:02 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 3 Miro Hrončok 2020-01-28 14:41:53 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2020-04-18 19:46:50 UTC
Mosaab, what is the status?

Comment 5 Miro Hrončok 2020-06-08 16:06:31 UTC
Mosaab, could you please respond?

Comment 6 Fedora Admin user for bugzilla script actions 2020-10-30 02:59:23 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 7 Ben Cotton 2020-11-03 15:54:22 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Petr Viktorin 2020-11-05 17:10:06 UTC

*** This bug has been marked as a duplicate of bug 1871640 ***


Note You need to log in before you can comment on or make changes to this bug.